Subject: Borland IDE keybindings for JED
From: [email-masked] (Stuart Herbert)
Date: 17 Jul 1994 21:59:50 GMT
Newsgroups: comp.os.linux.announce

I've uploaded a patch file for JED-0.96-2 to sunsite.unc.edu.  It's sat in
/pub/Linux/Incoming, as jed-borland-patch.tar.gz, and it should eventually
move to /pub/Linux/apps/editors.

NOTE that you need JED-0.96-2 to apply the patch file to - you can get that
off amy.tch.harvard.edu.

Here's the README file:

-------------------------------------------
README.patch: Patch file against JED-0.96-2
-------------------------------------------

  [ JED is a text editor/development environment, by John E. Davis
    ([email-masked]).  If you're looking for an alternative
    to vi and emacs, then give it a whirl.  It does syntax highlighting
    on normal terminals as well as under X, reads GNU info files, and lots
    of other things normally associated with emacs, except it doesn't
    require anything like as much disc space :-) :-)
    
    Stu ]

  This patch file should be applied to jed-0.96-2 [ which is available on
  amy.tch.harvard.edu, in /pub/jed ].
  
  This patch provides two main additions :
  
    Borland IDE editor support
    X11 fixes
  
  ---
  
  Nearly all the keybindings found in the DOS-based Borland IDE, as used by
  Turbo C++, Borland C++ 3.1 and Turbo Pascal, have been implemented,
  including function key and ALT key support :-) :-)  This should be of
  particular interest to Linux users, as Linux seems to have attracted a lot
  of ex-DOS hackers.
  
  Someone will have to provide function key maps for other O/S's - look at
  linux.sl, and then provide your own file with the correct mappings (NOTE:
  the X Windows mappings should not need changing between different versions
  of UNIX - just the normal terminal based mappings.  For those without
  function keys, you can use ESC-1..0 instead of F1..10)
  
  The one glaring omission is support for `projects'.  To be honest, while
  I'm sure that this can be added to JED, I think people are better off
  using real, live Makefiles, so I've not looked at this yet.
  
  The Borland emulation is completely implemented in SLang, JED's extension
  language, and is based on the existing Wordstar emulation by the author of
  JED.
  
  ---
  
  The X11 support in previous versions of JED came with a somewhat perculiar
  keymapping.  I've rejigged it so that ALT keys work with xjed, and so that
  xjed can tell the difference between BackSpace and Delete.  The HOME key
  has been altered from ^A to ESC[H - ^A is used by the Borland emulation to
  move back a word, while the HOME key moves to the beginning of the line.
  
  NOTE: Slackware Linux users for sure will need to add the following to
  the file /usr/lib/X11/xinit/.Xmodmap to correct a problem with the default
  key bindings :
  
    keycode 107 = BackSpace
    keycode 22  = Delete

  ---
  
  In addition, I've altered the default colours to something more suited to
  terminals which have black backgrounds, for both jed and xjed.  Colour
  schemes seem to be as religious an affair as editors themselves ... :-)
  
  I've also forwarded details about this patch to John E. Davis, author of
  JED, so hopefully he can include the more meaningful bits into a future
  release of JED.
  
  Stuart

--
Stuart Herbert -- [email-masked]

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.